package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

/**
 * 对应数据库表(student_cloud_coach_payment_details):
 */
public class StudentCloudCoachPaymentDetails {

	/**  */
	private Long id;

	/**  */
	private Long cloudCoachPaymentProgramId;
	
	/** 学员编号 */
	private Integer userId;

	private String username;

	private String phone;

	private Date payTime;
	
	/** 订单编号 */
	private Long paymentOrderId;
	
	/** 缴费状态（0未缴费1已缴费） */
	private Integer paymentStatus = 0;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	/**  */
	private Integer tenantId;

	public Date getPayTime() {
		return payTime;
	}

	public void setPayTime(Date payTime) {
		this.payTime = payTime;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public Long getCloudCoachPaymentProgramId() {
		return cloudCoachPaymentProgramId;
	}

	public void setCloudCoachPaymentProgramId(Long cloudCoachPaymentProgramId) {
		this.cloudCoachPaymentProgramId = cloudCoachPaymentProgramId;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setPaymentOrderId(Long paymentOrderId){
		this.paymentOrderId = paymentOrderId;
	}
	
	public Long getPaymentOrderId(){
		return this.paymentOrderId;
	}
			
	public void setPaymentStatus(Integer paymentStatus){
		this.paymentStatus = paymentStatus;
	}
	
	public Integer getPaymentStatus(){
		return this.paymentStatus;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setTenantId(Integer tenantId){
		this.tenantId = tenantId;
	}
	
	public Integer getTenantId(){
		return this.tenantId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
